"""
Implement institutions

Revision ID: 29475a73910e
Revises: b59176ee4935
Create Date: 2020-02-13 12:06:40.523069

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "29475a73910e"
down_revision = "b59176ee4935"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "institutions",
        sa.Column("identifier", sa.String(), nullable=False),
        sa.Column("name", sa.String(), nullable=True),
        sa.Column("cancelled", sa.Boolean(), server_default="False", nullable=False),
        sa.PrimaryKeyConstraint("identifier"),
    )
    op.create_table(
        "institution_associations",
        sa.Column("institution_identifier", sa.String(), nullable=True),
        sa.Column("person_identifier", sa.String(), nullable=True),
        sa.ForeignKeyConstraint(
            ["institution_identifier"], ["institutions.identifier"],
        ),
        sa.ForeignKeyConstraint(["person_identifier"], ["people.identifier"],),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("institution_associations")
    op.drop_table("institutions")
    # ### end Alembic commands ###
